Packages - Bug #3379

Bug # 3404 (confirmed): pacman hooks with hard-coded systemd-isms print error messages on openrc systems

openssh: | see some errors on upgrade
2022-12-02 12:24 PM - maddox

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

(131/668) upgrading gst-plugins-good
0%

(132/668) upgrading totem-pl-parser
0%

(133/668) upgrading ldns

0%

(134/668) upgrading openssh

0%

/tmp/alpm_UJ5wCB/.INSTALL: line 4: systemctl:

error: command failed to execute correctly

(135/668) upgrading gcr

0%

(136/668) upgrading brasero
0%
History

#1 - 2022-12-06 07:21 PM - anonymous

Do you have OpenRC system? Systemctl is one of the manage command of systemD init-system.

#2 - 2022-12-07 04:51 AM - maddox

| have OpenRC. Operating system shell recognize that systemctl does not apply, and if it does apply, it shall have it as dependency.

#3 - 2022-12-21 06:10 PM - bill-auger
- Parent task set to #3404

#4 - 2022-12-21 06:15 PM - bill-auger

- Status changed from unconfirmed to confirmed
